package com.goafanti.common.enums;

public enum DemandTypeEnum {
	COMPANY_DEMAND(0,"企业技术需求"),
	DEVICE_DEMAND(1,"技术设备需求"),
	PRO_LEARN_RESEARCH_DEMAND(2,"产学研合作需求"),
	RESEARCH_PRO_FUND_DEMAND(3,"研产资金需求"),
	AREA_INDUSTRY_DEMAND(4,"地区产业需求"),
	EXPERT_DEMAND(5,"技术人才需求"),
	UNKNOW(6,"未知类型");
	
	private int i;
	private String name;
	
	
public int getI() {
		return i;
	}

	public void setI(int i) {
		this.i = i;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

DemandTypeEnum(int i,String name){
	this.i=i;
	this.name=name;
}

public static DemandTypeEnum find(int i)
{
for(DemandTypeEnum demandTypeEnum:values()) {
	if(demandTypeEnum.getI() == i)return demandTypeEnum;
}	
return UNKNOW;
}
}
